Bug 1542242 - Hints for updating to 3.28
Hints for updating to 3.28
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
28
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-05 16:50 EST by Egmont Koblinger
Modified: 2018-04-16 20:21 EDT (History)
7 users (show)

See Also:
Fixed In Version: gnome-terminal-3.28.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-16 20:21:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Egmont Koblinger 2018-02-05 16:50:37 EST
Hi,

This is not a bug, but some hopefully useful information for upgrading gnome-terminal to 3.28.

Version 3.27.90 introduced lots of UI changes for which you'll need to port your current patches.

A few things to watch out for:

- src/profile-preferences.ui has been merged into src/preferences.ui

- There have been various internal cleanups to this .ui file, e.g. replacing GtkTables and some GtkVBoxes by GtkGrids, shuffling widgets around so that their glade file order matches the visual order, etc. You'll probably need to manually find the right place to insert your stuff.

- You strictly must not use g_settings_bind() and friends in profile-editor.c! Should you do so, settings will leak from one profile to another as you switch the profile you're editing. You must use the profile_prefs_settings_bind() and friends wrappers instead (taking the exact same parameters). So it's just a mandatory search-n-replace in the method names, nothing more to worry about.

I've ported Ubuntu's transparency patch (which is pretty similar to Fedora's, although not exactly the same) at https://bugs.launchpad.net/ubuntu/+source/vte2.91/+bug/1744711 comment 5, that might give you some help.

Let me know if you have questions or get stuck.
Comment 1 Christian Persch (GNOME) 2018-02-05 18:58:20 EST
Also, you can drop the 'new tab, new window' patch completely, and just use -DDISUNIFY_NEW_TERMINAL_SECTION in CPPFLAGS.
Comment 2 Fedora End Of Life 2018-02-20 10:26:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 3 Debarshi Ray 2018-04-06 08:47:39 EDT
Thanks for the pointers so far. Much appreciated. I have now uploaded builds for 3.27.3 and 3.27.1.
Comment 4 Fedora Update System 2018-04-13 10:46:34 EDT
gnome-terminal-3.27.90-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3443da8a2
Comment 5 Fedora Update System 2018-04-14 22:25:32 EDT
bijiben-3.28.1-1.fc28, devhelp-3.28.1-1.fc28, eog-3.28.1-2.fc28, epiphany-3.28.1-1.fc28, evince-3.28.2-1.fc28, evolution-3.28.1-2.fc28, evolution-data-server-3.28.1-2.fc28, evolution-ews-3.28.1-1.fc28, evolution-mapi-3.28.1-1.fc28, gdk-pixbuf2-2.36.12-1.fc28, gdm-3.28.1-1.fc28, gedit-3.28.1-1.fc28, gedit-plugins-3.28.1-1.fc28, gjs-1.52.1-1.fc28, glib2-2.56.1-1.fc28, gnome-boxes-3.28.2-1.fc28, gnome-builder-3.28.1-1.fc28, gnome-calculator-3.28.1-1.fc28, gnome-calendar-3.28.1-1.fc28, gnome-chess-3.28.1-1.fc28, gnome-contacts-3.28.1-1.fc28, gnome-desktop3-3.28.1-1.fc28, gnome-disk-utility-3.28.1-1.fc28, gnome-getting-started-docs-3.28.1-1.fc28, gnome-maps-3.28.1-1.fc28, gnome-music-3.28.1-1.fc28, gnome-session-3.28.1-1.fc28, gnome-settings-daemon-3.28.1-1.fc28, gnome-shell-3.28.1-1.fc28, gnome-shell-extensions-3.28.1-1.fc28, gnome-software-3.28.1-1.fc28, gnome-sound-recorder-3.28.1-1.fc28, gnome-system-monitor-3.28.1-1.fc28, gnome-terminal-3.28.1-1.fc28, gnome-todo-3.28.1-1.fc28, gnome-tweaks-3.28.1-1.fc28, gnome-user-docs-3.28.1-1.fc28, gnome-user-share-3.28.0-1.fc28, gobject-introspection-1.56.1-1.fc28, gvfs-1.36.1-1.fc28, libdazzle-3.28.1-1.fc28, libsoup-2.62.1-1.fc28, mm-common-0.9.12-1.fc28, mutter-3.28.1-1.fc28, nautilus-3.28.1-1.fc28, pango-1.42.1-1.fc28, shotwell-0.28.2-1.fc28, simple-scan-3.28.1-1.fc28, sysprof-3.28.1-1.fc28, vala-0.40.3-1.fc28, vte291-0.52.1-1.fc28, webkit2gtk3-2.20.1-1.fc28, yelp-3.28.1-1.fc28, zenity-3.28.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e67e16187d
Comment 6 Fedora Update System 2018-04-16 20:21:03 EDT
bijiben-3.28.1-1.fc28, devhelp-3.28.1-1.fc28, eog-3.28.1-2.fc28, epiphany-3.28.1-1.fc28, evince-3.28.2-1.fc28, evolution-3.28.1-2.fc28, evolution-data-server-3.28.1-2.fc28, evolution-ews-3.28.1-1.fc28, evolution-mapi-3.28.1-1.fc28, gdk-pixbuf2-2.36.12-1.fc28, gdm-3.28.1-1.fc28, gedit-3.28.1-1.fc28, gedit-plugins-3.28.1-1.fc28, gjs-1.52.1-1.fc28, glib2-2.56.1-1.fc28, gnome-boxes-3.28.2-1.fc28, gnome-builder-3.28.1-1.fc28, gnome-calculator-3.28.1-1.fc28, gnome-calendar-3.28.1-1.fc28, gnome-chess-3.28.1-1.fc28, gnome-contacts-3.28.1-1.fc28, gnome-desktop3-3.28.1-1.fc28, gnome-disk-utility-3.28.1-1.fc28, gnome-getting-started-docs-3.28.1-1.fc28, gnome-maps-3.28.1-1.fc28, gnome-music-3.28.1-1.fc28, gnome-session-3.28.1-1.fc28, gnome-settings-daemon-3.28.1-1.fc28, gnome-shell-3.28.1-1.fc28, gnome-shell-extensions-3.28.1-1.fc28, gnome-software-3.28.1-1.fc28, gnome-sound-recorder-3.28.1-1.fc28, gnome-system-monitor-3.28.1-1.fc28, gnome-terminal-3.28.1-1.fc28, gnome-todo-3.28.1-1.fc28, gnome-tweaks-3.28.1-1.fc28, gnome-user-docs-3.28.1-1.fc28, gnome-user-share-3.28.0-1.fc28, gobject-introspection-1.56.1-1.fc28, gvfs-1.36.1-1.fc28, libdazzle-3.28.1-1.fc28, libsoup-2.62.1-1.fc28, mm-common-0.9.12-1.fc28, mutter-3.28.1-1.fc28, nautilus-3.28.1-1.fc28, pango-1.42.1-1.fc28, shotwell-0.28.2-1.fc28, simple-scan-3.28.1-1.fc28, sysprof-3.28.1-1.fc28, vala-0.40.3-1.fc28, vte291-0.52.1-1.fc28, webkit2gtk3-2.20.1-1.fc28, yelp-3.28.1-1.fc28, zenity-3.28.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.